# Recommendations

> Wheelhouse Revenue Management API. Web version: https://docs.usewheelhouse.com/rm/reference/recommendations · OpenAPI spec: https://docs.usewheelhouse.com/rm/openapi.yaml

Retrieve Wheelhouse price recommendations, base price suggestions, check-in/check-out calendars, min/max price calendars, and monthly seasonality factors.

## Endpoints

- [GET /listings/{listing_id}/price_recommendations](https://docs.usewheelhouse.com/rm/reference/rm-get-price-recommendations.md): Get daily price recommendations for a listing.
- [GET /price_models](https://docs.usewheelhouse.com/rm/reference/rm-get-price-models.md): List the price models customers can pick from.
- [POST /preferences/{listing_id}/preview](https://docs.usewheelhouse.com/rm/reference/rm-preview-preferences.md): Preview price recommendations for a listing with hypothetical preference changes.
- [GET /listings/{listing_id}/base_price_recommendation](https://docs.usewheelhouse.com/rm/reference/rm-get-base-price-recommendation.md): Get base price recommendation options for a listing.
- [GET /listings/{listing_id}/checkin_checkout](https://docs.usewheelhouse.com/rm/reference/rm-get-checkin-checkout.md): Get check-in/check-out calendar for a listing.
- [GET /listings/{listing_id}/min_max_prices](https://docs.usewheelhouse.com/rm/reference/rm-get-min-max-prices.md): Get minimum and maximum price calendar for a listing.
- [GET /listings/{listing_id}/monthly_seasonality](https://docs.usewheelhouse.com/rm/reference/rm-get-monthly-seasonality.md): Get recommended monthly seasonality adjustment factors for a listing.
- [GET /listings/{listing_id}/base_price_history](https://docs.usewheelhouse.com/rm/reference/rm-get-base-price-history.md): Get the base price recommendation history for a listing.
